import type { TdPaginationProps } from './type';
import './style';
export declare type PaginationProps = TdPaginationProps;
export * from './type';
export declare const Pagination: import("vue/types/vue").ExtendedVue<import("vue").default, unknown, {
    updateData(this: any, propName: string, v: any, ...args: any[]): any;
}, unknown, {
    [x: string]: any;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<import("vue").default, unknown, {
    updateData(this: any, propName: string, v: any, ...args: any[]): any;
}, unknown, {
    [x: string]: any;
}>>;
export declare const PaginationMini: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    ChevronLeftIcon: import("@ldesign/icons-vue").GlobalIconType;
    RoundIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronRightIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronUpIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronDownIcon: import("@ldesign/icons-vue").GlobalIconType;
    titleConfig: import("@vue/composition-api").ComputedRef<{
        prev?: string;
        current?: string;
        next?: string;
    }>;
    disabledConfig: import("@vue/composition-api").ComputedRef<{
        prev?: boolean;
        current?: boolean;
        next?: boolean;
    }>;
    handleChange: (context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    disabled: {
        type: import("vue").PropType<boolean | import("./type").JumperDisabledConfig>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    showCurrent: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    tips: {
        type: import("vue").PropType<boolean | import("./type").JumperTipsConfig>;
    };
    variant: {
        type: import("vue").PropType<"outline" | "text">;
        default: "outline" | "text";
        validator(val: "outline" | "text"): boolean;
    };
    onChange: import("vue").PropType<(context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    disabled: {
        type: import("vue").PropType<boolean | import("./type").JumperDisabledConfig>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    showCurrent: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    tips: {
        type: import("vue").PropType<boolean | import("./type").JumperTipsConfig>;
    };
    variant: {
        type: import("vue").PropType<"outline" | "text">;
        default: "outline" | "text";
        validator(val: "outline" | "text"): boolean;
    };
    onChange: import("vue").PropType<(context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    variant: "outline" | "text";
    showCurrent: boolean;
} & {
    disabled?: unknown;
    tips?: unknown;
    onChange?: (context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    ChevronLeftIcon: import("@ldesign/icons-vue").GlobalIconType;
    RoundIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronRightIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronUpIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronDownIcon: import("@ldesign/icons-vue").GlobalIconType;
    titleConfig: import("@vue/composition-api").ComputedRef<{
        prev?: string;
        current?: string;
        next?: string;
    }>;
    disabledConfig: import("@vue/composition-api").ComputedRef<{
        prev?: boolean;
        current?: boolean;
        next?: boolean;
    }>;
    handleChange: (context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    variant: "outline" | "text";
    showCurrent: boolean;
} & {
    disabled?: unknown;
    tips?: unknown;
    onChange?: (context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void;
}, {
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    variant: "outline" | "text";
    showCurrent: boolean;
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    ChevronLeftIcon: import("@ldesign/icons-vue").GlobalIconType;
    RoundIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronRightIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronUpIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronDownIcon: import("@ldesign/icons-vue").GlobalIconType;
    titleConfig: import("@vue/composition-api").ComputedRef<{
        prev?: string;
        current?: string;
        next?: string;
    }>;
    disabledConfig: import("@vue/composition-api").ComputedRef<{
        prev?: boolean;
        current?: boolean;
        next?: boolean;
    }>;
    handleChange: (context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    disabled: {
        type: import("vue").PropType<boolean | import("./type").JumperDisabledConfig>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    showCurrent: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    tips: {
        type: import("vue").PropType<boolean | import("./type").JumperTipsConfig>;
    };
    variant: {
        type: import("vue").PropType<"outline" | "text">;
        default: "outline" | "text";
        validator(val: "outline" | "text"): boolean;
    };
    onChange: import("vue").PropType<(context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    disabled: {
        type: import("vue").PropType<boolean | import("./type").JumperDisabledConfig>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    showCurrent: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    tips: {
        type: import("vue").PropType<boolean | import("./type").JumperTipsConfig>;
    };
    variant: {
        type: import("vue").PropType<"outline" | "text">;
        default: "outline" | "text";
        validator(val: "outline" | "text"): boolean;
    };
    onChange: import("vue").PropType<(context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    variant: "outline" | "text";
    showCurrent: boolean;
} & {
    disabled?: unknown;
    tips?: unknown;
    onChange?: (context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    ChevronLeftIcon: import("@ldesign/icons-vue").GlobalIconType;
    RoundIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronRightIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronUpIcon: import("@ldesign/icons-vue").GlobalIconType;
    ChevronDownIcon: import("@ldesign/icons-vue").GlobalIconType;
    titleConfig: import("@vue/composition-api").ComputedRef<{
        prev?: string;
        current?: string;
        next?: string;
    }>;
    disabledConfig: import("@vue/composition-api").ComputedRef<{
        prev?: boolean;
        current?: boolean;
        next?: boolean;
    }>;
    handleChange: (context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    variant: "outline" | "text";
    showCurrent: boolean;
} & {
    disabled?: unknown;
    tips?: unknown;
    onChange?: (context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void;
}, {
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    variant: "outline" | "text";
    showCurrent: boolean;
}, true>)>;
export default Pagination;
